# Class MultipartDef

java.lang.Object
org.apache.tomcat.util.descriptor.web.MultipartDef

All Implemented Interfaces:
  `Serializable`

public class MultipartDef extends Object implements Serializable
Representation of the multipart configuration for a servlet.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MultipartDef()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getFileSizeThreshold()`
Get the file size threshold.
`String`
`getLocation()`
Get the location.
`String`
`getMaxFileSize()`
Get the maximum file size.
`String`
`getMaxRequestSize()`
Get the maximum request size.
`int`
`hashCode()`
`void`
`setFileSizeThreshold(String fileSizeThreshold)`
Set the file size threshold.
`void`
`setLocation(String location)`
Set the location.
`void`
`setMaxFileSize(String maxFileSize)`
Set the maximum file size.
`void`
`setMaxRequestSize(String maxRequestSize)`
Set the maximum request size.

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultipartDef

public MultipartDef()
Default constructor.

## Method Details

### getLocation

public String getLocation()
Get the location.

Returns:
  the location

### setLocation

public void setLocation(String location)
Set the location.

Parameters:
  `location` - the location

### getMaxFileSize

public String getMaxFileSize()
Get the maximum file size.

Returns:
  the maximum file size

### setMaxFileSize

public void setMaxFileSize(String maxFileSize)
Set the maximum file size.

Parameters:
  `maxFileSize` - the maximum file size

### getMaxRequestSize

public String getMaxRequestSize()
Get the maximum request size.

Returns:
  the maximum request size

### setMaxRequestSize

public void setMaxRequestSize(String maxRequestSize)
Set the maximum request size.

Parameters:
  `maxRequestSize` - the maximum request size

### getFileSizeThreshold

public String getFileSizeThreshold()
Get the file size threshold.

Returns:
  the file size threshold

### setFileSizeThreshold

public void setFileSizeThreshold(String fileSizeThreshold)
Set the file size threshold.

Parameters:
  `fileSizeThreshold` - the file size threshold

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`